Get invitation details by token
GET
/_torii/auth/invitation/details
const url = 'https://your-app.toriiauth.eu/_torii/auth/invitation/details?token=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://your-app.toriiauth.eu/_torii/auth/invitation/details?token=example'Returns the invited email, app name, and (for organization invitations) the organization name for rendering the invitation sign-up surface. No authentication required.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”token
required
string
Header Parameters
Section titled “Header Parameters”Host
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
email
required
string
environmentName
required
string
organizationName
string | null
roleName
string | null
accountExists
required
boolean
expired
required
boolean
accepted
required
boolean
revoked
required
boolean
Examplegenerated
{ "email": "example", "environmentName": "example", "organizationName": "example", "roleName": "example", "accountExists": true, "expired": true, "accepted": true, "revoked": true}